%define gittag e34b225cd10cdc019ff2e418efff5305d86648fd
%define major 0
%define libname %mklibname tar %{major}
%define develname %mklibname -d tar

Summary:	C library for manipulating tar files
Name:		libtar
Version:	1.2.18
%define subrel	2
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.feep.net/libtar/
Source0:	http://repo.or.cz/w/libtar.git/snapshot/%{gittag}.tar.gz
Patch0:		libtar-1.2.11-includes.patch
# http://repo.or.cz/w/libtar.git/commit/45448e8bae671c2f7e80b860ae0fc0cedf2bdc04
Patch1:		libtar-1.2.11-CVE-2013-4397.diff
Patch2:		libtar-1.2.18-CVE-2013-4420.patch
BuildRequires:	zlib-devel

%description
libtar is a library for manipulating tar files from within C programs.
Here are some of its features:

  * Handles both POSIX tar file format and the GNU extensions.
  * API provides functions for easy use, such as tar_extract_all().
  * Also provides functions for more granular use, such as 
    tar_append_regfile().

%package -n %libname
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %libname
This package contains the shared library for %{name}.

%package -n %develname
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains the shared library and the C headers needed to
build applications with libtar.

%prep
%setup -qn %{name}
%patch0 -p1 -b .includes
%patch1 -p1 -b .CVE-2013-4397
%patch2 -p1 -b .CVE-2013-4420

%build
export CFLAGS="%{optflags} -fPIC"
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/libtar

%files -n %{libname}
%{_libdir}/libtar.so.%{major}
%{_libdir}/libtar.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog* COPYRIGHT TODO
%{_libdir}/libtar.so
%{_includedir}/libtar*.h
%{_mandir}/man3/*.3*


%changelog
* Wed Feb 19 2014 luigiwalser <luigiwalser> 1.2.18-2.2.mga3
+ Revision: 594901
- add patch from debian to fix CVE-2013-4420

  + oden <oden>
    - P1: security fix for CVE-2013-4397 (upstream)

* Sat Jan 12 2013 umeabot <umeabot> 1.2.18-2.mga3
+ Revision: 358234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 fwang <fwang> 1.2.18-1.mga3
+ Revision: 293653
- there is no .a files
- new version 1.2.18

  + pterjan <pterjan>
    - imported package libtar

